
<img src="https://raw.githubusercontent.com/altar31/altar31/7b6b6fbca83da051934d326feaa64db12ba8ad15/public/sciml-logo.png" alt="Image Title" width="800" height="auto">

## ☕️ About
**sci-ml** is an attempt to provide a **high-level** and **human** friendly [API](https://en.wikipedia.org/wiki/API) for **Scientific Machine Learning** algorithms such as [PINN](https://arxiv.org/abs/2201.05624), [LSTM-RNN](https://arxiv.org/abs/1909.09586), [RC](https://arxiv.org/abs/2307.15092)... but with **applications** in mind.\
In the spirit of [scikit-learn](https://scikit-learn.org/stable/index.html), the user will find an **extensive documentation** of the implemented algorithms as well as some **practicals** use-cases in **science** and **engineering**. 

Although some implementations and packages already exist, the **Python Scientific Machine Learning Community** is **sparse**... Thus, the **long-term** goal of the project is to provide a **constitutive** implementation of such algorithms under the same **banner**.

## 🎯 Goals

At first the motivations of this project are purely educatives and practicals... So as a researcher using machine/deep learning on a daily basis, i would like to deep dive into it and implement some algorithms in such way that they will be **easily reusable** and **useful** for **others**. 

## 🚀 Features
- **Simple** and **efficient** tools for solving **science** and **engineering** problems using **Machine Learning**
- **Practical** and **expressive** API
- Stand on the **shoulders of giants** -> on top of [Pandas](https://pandas.pydata.org/), [Keras](https://keras.io/), [scikit-learn](https://scikit-learn.org/stable/) and [seaborn](https://seaborn.pydata.org/). 

## ⚠️ Warnings
**For the moment:**
- The development of the project takes place in a **private** GitHub repository
- The project is at a very **early stage** -> **Nothing** is implemented in this **published version**
- The **documentation** is **missing**

The **GitHub repository** as well as a **usable** Python package will be **available** in the **upcoming months** when the project will be **more advanced**.


## 🤝 Community-driven
**sci-ml** is foremost a **community-driven** project ! The project will be **highly collaborative** and everyone is welcome to the project ! 🤗 

Don't hesitate to contact me if you want to know more or are interested in ! 😃 

**Stay tuned !** 🗓️
